it-swarm-ko.tech

Internet Explorer에서 특정 Java 런타임 환경 설치를 사용하도록 하시겠습니까?

애플릿이 포함 된 다른 사람의 웹 페이지를 볼 때 Internet Explorer 6.0에서 여러 개의 JRE를 설치했을 때 특정 JRE를 사용하도록하려면 어떻게해야합니까?

46
Mark MacIver

먼저 현재 설치된 Java 버전을 비활성화하십시오. 이렇게하려면 제어판> Java> 고급> 기본값 Java)로 이동하여 Microsoft Internet 탐색기.

다음으로, Java 대신 사용하려는 버전) 버전을 활성화하십시오. 이렇게하려면 예를 들어 C :\Program Files\Java \로 이동하십시오.jre1.5.0_15\ bin (여기서 jre1.5.0_15는 Java 사용하려는 버전)의 버전이며 javacpl.exe고급> 기본값 Java)로 이동하여 Microsoft Internet Explorer를 확인하십시오.

이전 버전의 Java 다시 가져 오려면이 단계를 반대로 수행해야합니다.

이전 버전의 Java에서는 Default Java)<APPLET> Tag Support라고합니다 (그러나 효과는 동일합니다) .

이 방법의 장점은 다른 브라우저에는 영향을 미치지 않으며 기본 시스템 JRE에는 영향을 미치지 않습니다.

72
Daniel Cassidy

나는 오늘 같은 문제가 있으며 Jack Leow와 동의합니다. 기본적으로 Windows XP에서는 제어판> Java로 이동 한 다음 :

  1. 자바 탭
  2. "보기"버튼을 클릭하십시오
  3. 원하는 JRE 만 활성화하십시오 (예 : JRE 1.5.x 및 1.6.x 비활성화)
  4. IE 재시작
  5. IE에서 애플릿 페이지로드
  6. 짜잔, 올바른 JRE 버전을로드 중입니다!
21
Kayhadrin

서버 측 솔루션 (원래 질문이 모호한)의 경우 이 Sun의이 페이지 는 JRE를 지정하는 한 가지 방법을 나열합니다. 구체적으로

<OBJECT 
  classid="clsid:8AD9C840-044E-11D1-B3E9-00805F499D93"
  width="200" height="200">
  <PARAM name="code" value="Applet1.class">
</OBJECT>

Classid 속성은 사용할 버전의 Java 플러그인)를 식별합니다.

다음은 classid 속성의 대체 형식입니다.

classid="clsid:CAFEEFAC-xxxx-yyyy-zzzz-ABCDEFFEDCBA"

이 양식에서 "xxxx", "yyyy"및 "zzzz"는 사용할 특정 버전의 Java 플러그인)을 식별하는 4 자리 숫자입니다.

예를 들어 Java 플러그인 버전 1.5.0을 사용하려면 다음을 지정하십시오.

classid="clsid:CAFEEFAC-0015-0000-0000-ABCDEFFEDCBA"
4
BrezzaP

나는 여기에 모든 대답을 먼저 해보겠다. 그러나 나는 그들이 당신에게 효과가없는 경우를 대비하여 내가하는 일을 던지기를 원했습니다.

나는 이전에 겪었던 것과 동일한 문제를 해결하려고 노력했으며 결국 결정한 것은 주어진 시간에 하나의 JRE 만 시스템에 설치하는 것입니다. 개발에는 필요하지만 하나의 독립형 JRE 만 있기 때문에 약 10 개의 서로 다른 JDK (1.3-1.6 및 다양한 공급 업체-Sun, Oracle, IBM)가 있습니다.

이것은 집에있는 Windows 2000 + IE 6 컴퓨터와 직장에서 사용중인 Windows XP + 다중 IE 컴퓨터에서 저에게 효과적이었습니다.

1
Jack Leow

JRE6 및 JRE5에 대해 여기에서 언급했듯이 JRE1.4를 업데이트합니다.

Java 설치의 jre/bin 디렉토리에서 jpicpl32.exe 응용 프로그램을 실행해야합니다 (예 : c :\Java\jdk1.4.2 _07\jre\bin\jpicpl32.exe).

Daniel Cassidy의 게시물에서 언급 한 이전 버전의 응용 프로그램입니다.

1

deployment ToolkitdeployJava.js 를 사용하십시오 (이것은 특정 버전이 아닌 최소 버전을 보장하지만)

0
Stephen Denne

사용할 JRE 제품군을 지정할 수 있습니다. http://www.Oracle.com/technetwork/Java/javase/family-clsid-140615.html

0
user1683903